﻿@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@model Portal.Models.ManifestReceiving_Kbn.ManifestReceiving_Kbn

<div id="theresult">
<table border="0" width="100%" cellpadding="0" cellspacing="0">
    <tr>    
        <td>
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Manifest No";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td style="padding-bottom:4px">
        @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtManifestNo";
                    edtSettings.Text = Model.MANIFEST_NO;
                    edtSettings.ReadOnly = true;
                    edtSettings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    edtSettings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    edtSettings.Height = System.Web.UI.WebControls.Unit.Pixel(30);
                    edtSettings.ControlStyle.Font.Size = FontUnit.XLarge;
                    edtSettings.ControlStyle.BackColor = System.Drawing.Color.Yellow;
                    edtSettings.ControlStyle.Font.Bold = true;
                }).GetHtml()            
        </td>
        <td style="padding-left:10px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Order No";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td >
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtOrderNo";
                    edtSettings.Text = Model.ORDER_NO;
                    edtSettings.ReadOnly = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    edtSettings.Height = System.Web.UI.WebControls.Unit.Pixel(30);
                    edtSettings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    edtSettings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()

            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtStatus";
                    edtSettings.Text = Model.RECEIVED_STATUS.ToString();
                    edtSettings.ClientVisible = false;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Height = System.Web.UI.WebControls.Unit.Pixel(30);
                }).GetHtml()
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtProblemStatus";
                    edtSettings.Text = Model.PROBLEM_FLAG.ToString();
                    edtSettings.ClientVisible = false;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(50);
                    edtSettings.Height = System.Web.UI.WebControls.Unit.Pixel(30);
                }).GetHtml()
        </td>
    </tr>
    <tr>        
        <td style="padding-right:4px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Supplier - Plant Code";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()             
        </td>
        <td >
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtSupplierCode";
                    edtSettings.Text = Model.SUPPLIER_CD + " - " + Model.SUPPLIER_PLANT;
                    edtSettings.ReadOnly = true;
                    edtSettings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    edtSettings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    edtSettings.Height = System.Web.UI.WebControls.Unit.Pixel(30);
                    edtSettings.ControlStyle.Font.Size = FontUnit.Large;
                    edtSettings.ControlStyle.BackColor = System.Drawing.Color.Yellow;
                    edtSettings.ControlStyle.Font.Bold = true;
                }).GetHtml()
            
        </td>
        <td style="padding-left:10px;padding-right:4px">
            @Html.DevExpress().Label(
                edtSettings =>
                {
                    edtSettings.ControlStyle.CssClass = "label";
                    edtSettings.Text = "Rcv Plant - Dock Code";
                    edtSettings.ControlStyle.Wrap = DefaultBoolean.False;
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "txtPlantCode";
                    edtSettings.Text = Model.SUPPLIER_PLANT_CD + " - " + Model.DOCK_CD;
                    edtSettings.ReadOnly = true;
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
                    edtSettings.Height = System.Web.UI.WebControls.Unit.Pixel(30);
                    edtSettings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    edtSettings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                    edtSettings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }).GetHtml()
        </td>
        <td colspan="2">
            
        </td> 
    </tr>
</table>
</div>